- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::RTResource_Config_Manager Class Reference

RTResource_Config_Manager maintains a collection of RTCORBA related resources. More...

`#include <RTConfig_Manager.h>`

Collaboration diagram for CIAO::RTResource_Config_Manager:

[legend]
List of all members.

## Public Member Functions
| RTResource_Config_Manager (void)
| ~RTResource_Config_Manager (void)
void | init (RTCORBA::RTORB_ptr rtorb)
void | init_resources (const CIAO::DAnCE::ServerResource &info) throw (CORBA::SystemException)
| Initializing the RTResource_Config_Manager.
void | fini () throw (CORBA::SystemException)
CORBA::PolicyList * | find_policies_by_name (const char *name) throw (CORBA::SystemException)
| Query a policy set by name.
## Protected Member Functions
void | print_resources (const CIAO::DAnCE::ServerResource &info) throw (CORBA::SystemException)
RTCORBA::ThreadpoolId | find_threadpool_by_name (const char *name) throw (CORBA::SystemException)
| Query a thread pool by name.
RTCORBA::PriorityBands * | find_priority_bands_by_name (const char *name) throw (CORBA::SystemException)
| Query a priority bands info by name.
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, RTCORBA::ThreadpoolId, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | TP_MAP
| Hash_Map stuff.
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, RTCORBA::PriorityBands_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | PB_MAP
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, CORBA::PolicyList_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | POLICY_MAP
| Hash_Map stuff.
## Private Member Functions
CORBA::Policy_ptr | create_single_policy (const CIAO::DAnCE::PolicyDef &policy_def) throw (CORBA::SystemException)
| create a single policy
## Private Attributes
CORBA::ORB_var | orb_
| Cached an ORB reference.
RTCORBA::RTORB_var | rtorb_
TP_MAP | threadpool_map_
| Internal TP name to id map.
PB_MAP | priority_bands_map_
| Internal PB name to priority bands map.
POLICY_MAP | policy_map_
| Internal TP names to id map.

## Detailed Description

RTResource_Config_Manager maintains a collection of RTCORBA related resources.

This class is responsible to create and manage a list of RTCORBA related resources that are global to an RT ComponentServer. The information required to create and configure these resources are passed in via the info argument in the `init` method. These resources are identified by names and can be used to associate these resources with related RTPolicies. These resources are destoryed along with this class.

Currently, the only resources supported (and managed) by this class are Threadpool and Threadpool_with_Lanes.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, RTCORBA::PriorityBands_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::RTResource_Config_Manager::PB_MAP`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, CORBA::PolicyList_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::RTResource_Config_Manager::POLICY_MAP`[private]`

Hash_Map stuff.

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, RTCORBA::ThreadpoolId, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::RTResource_Config_Manager::TP_MAP`[private]`

Hash_Map stuff.

## Constructor & Destructor Documentation

ACE_INLINE CIAO::RTResource_Config_Manager::RTResource_Config_Manager | ( | void |  | ) |

ACE_INLINE CIAO::RTResource_Config_Manager::~RTResource_Config_Manager | ( | void |  | ) |

## Member Function Documentation

CORBA::Policy_ptr CIAO::RTResource_Config_Manager::create_single_policy | ( | const CIAO::DAnCE::PolicyDef & | policy_def | ) | throw (CORBA::SystemException)`[private]`

create a single policy

CORBA::PolicyList * CIAO::RTResource_Config_Manager::find_policies_by_name | ( | const char * | name | ) | throw (CORBA::SystemException)

Query a policy set by name.

RTCORBA::PriorityBands * CIAO::RTResource_Config_Manager::find_priority_bands_by_name | ( | const char * | name | ) | throw (CORBA::SystemException)`[protected]`

Query a priority bands info by name.

RTCORBA::ThreadpoolId CIAO::RTResource_Config_Manager::find_threadpool_by_name | ( | const char * | name | ) | throw (CORBA::SystemException)`[protected]`

Query a thread pool by name.

void CIAO::RTResource_Config_Manager::fini | ( |  | ) | throw (CORBA::SystemException)

Finalizing the RTResource_Config_Manager and the resources it manages.

void CIAO::RTResource_Config_Manager::init | ( | RTCORBA::RTORB_ptr | rtorb | ) |

void CIAO::RTResource_Config_Manager::init_resources | ( | const CIAO::DAnCE::ServerResource & | info | ) | throw (CORBA::SystemException)

Initializing the RTResource_Config_Manager.

void CIAO::RTResource_Config_Manager::print_resources | ( | const CIAO::DAnCE::ServerResource & | info | ) | throw (CORBA::SystemException)`[protected]`

## Member Data Documentation

CORBA::ORB_var CIAO::RTResource_Config_Manager::orb_`[private]`

Cached an ORB reference.

POLICY_MAP CIAO::RTResource_Config_Manager::policy_map_`[private]`

Internal TP names to id map.

PB_MAP CIAO::RTResource_Config_Manager::priority_bands_map_`[private]`

Internal PB name to priority bands map.

RTCORBA::RTORB_var CIAO::RTResource_Config_Manager::rtorb_`[private]`

TP_MAP CIAO::RTResource_Config_Manager::threadpool_map_`[private]`

Internal TP name to id map.

The documentation for this class was generated from the following files:

- RTConfig_Manager.h
- RTConfig_Manager.cpp
- RTConfig_Manager.inl